citeproc-hs-0.3.9: A Citation Style Language implementation in Haskell

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unitn.it
Safe Haskell | None

Text.CSL.Input.Bibutils

Description

Synopsis

- readBiblioFile :: FilePath -> IO [Reference]
- readBiblioString :: BibFormat -> String -> IO [Reference]
- data BibFormat
  - = Mods
  - | Json
  - | Native
  - | Bibtex
  - | BibLatex
  - | Ris
  - | Endnote
  - | EndnotXml
  - | Isi
  - | Medline
  - | Copac

# Documentation

readBiblioFile :: FilePath -> IO [Reference]Source

Read a file with a bibliographic database. The database format is recognized by the file extension.

Supported formats are: `json`, `mods`, `bibtex`, `biblatex`, `ris`, `endnote`, `endnotexml`, `isi`, `medline`, and `copac`.

readBiblioString :: BibFormat -> String -> IO [Reference]Source

data BibFormat Source

Constructors

Mods |
Json |
Native |
Bibtex |
BibLatex |
Ris |
Endnote |
EndnotXml |
Isi |
Medline |
Copac |